### Class

# Atk Relation

#### Description [src]

    class Atk.Relation : GObject.Object
    {
      gpointer target[],
      AtkRelationType relationship
    }

An object used to describe a relation between a object and one or more other objects.

An AtkRelation describes a relation between an object and one or more other objects. The actual relations that an object has with other objects are defined as an AtkRelationSet, which is a set of AtkRelations.

#### Ancestors

- GObject

#### Constructors

###### atk_relation_new

Create a new relation for the specified key and the specified list of targets. See also atk_object_add_relationship().

#### Instance methods

###### atk_relation_add_target

Adds the specified AtkObject to the target for the relation, if it is not already present. See also atk_object_add_relationship().

since: 1.9

###### atk_relation_get_relation_type

Gets the type of `relation`.

###### atk_relation_get_target

Gets the target list of `relation`.

###### atk_relation_remove_target

Remove the specified AtkObject from the target for the relation.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Atk.Relation:relation-type

No description available.

###### Atk.Relation:target

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkRelationClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.